#include<bits/stdc++.h>
using namespace std;

const int nmax=1e7+42;

int least[nmax],mu[nmax],pref_mu[nmax];

void init()
{
    for(int i=1;i<nmax;i++)
        mu[i]=1;

    for(int i=2;i<nmax;i++)
        least[i]=i;

    for(int p=2;p*p<nmax;p++)
        if(least[p]==p)
        {
            for(int j=p*p;j<nmax;j+=p)
                if(least[j]==j)
                    least[j]=p;

            for(int j=p*p;j<nmax;j+=p*p)
                least[j]=0;
        }

    for(int i=2;i<nmax;i++)
        if(least[i])mu[i]=-mu[i/least[i]];
        else mu[i]=0;

    for(int i=1;i<nmax;i++)
        pref_mu[i]=mu[i]+pref_mu[i-1];
}

string take(int i)
{
    string ret="";
    ret.push_back(i/10+'0');
    ret.push_back(i%10+'0');
    return ret;
}

long long query()
{
    long long n;
    scanf("%lld",&n);

    long long outp=0,l=1;

    for(;l<=90000;l++)
        outp+=n/l/l*mu[l];

    while(l*l<=n)
    {
        long long v=n/l/l;

        long long r=sqrt(n/v);

        outp+=n/l/l*(pref_mu[r]-pref_mu[l-1]);

        l=r+1;
    }

    return outp;
}

int main()
{
    init();

    for(int t=1;t<=36;t++)
    {
        const string name = "square_free.";
        const string add = take(t);

        const string file_in = name + add + ".in";
        const string file_out = name + add + ".out";

        mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());

        freopen(file_in.c_str(),"r",stdin);
        freopen(file_out.c_str(),"w",stdout);

        int q;

        scanf("%i",&q);

        for(int i=1;i<=q;i++)
        {
            long long outp=query();

            printf("%lld\n",outp);

            cerr<<outp<<endl;
        }
    }

    return 0;
}
