#include<bits/stdc++.h>
using namespace std;

const int inf=1e9;

string take(int i)
{
    string ret="";
    ret.push_back(i/10+'0');
    ret.push_back(i%10+'0');
    return ret;
}

struct test
{
    long long n_from,n_to;
};

void gen()
{
    vector< pair<long long,int> > tests={{1e7,500},{1e14,1},{1e14,10},{1e14,125},{1e14,250},{1e14,500}};

    for(auto w:tests)
        cout<<w.first<<" "<<w.second<<endl;

    int id=0;

    for(auto w:tests)
    {
        long long q=w.second;

        long long n_max=w.first;

        vector< pair<long long, long long> > n_bounds={};

        n_bounds.push_back({0,n_max});
        n_bounds.push_back({1,n_max});
        n_bounds.push_back({n_max*1/2,n_max});
        n_bounds.push_back({n_max*9/10,n_max});
        n_bounds.push_back({n_max*99/100,n_max});
        n_bounds.push_back({n_max-q+1,n_max});

        for(auto k:n_bounds)
        {
            id++;

            set<long long> seen={};

            const string name = "square_free.";
            const string add = take(id);

            const string file = name + add + ".in";

            mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());

            uniform_int_distribution<long long> distrib_n(k.first, k.second);

            freopen(file.c_str(),"w",stdout);

            printf("%i\n",q);
            cerr<<q<<endl;

            for(int t=1;t<=q;t++)
            {
                long long n=distrib_n(rng);

                if(k.first==0)n=t*n_max/q;

                if(seen.count(n))
                {
                    t--;
                    continue;
                }

                seen.insert(n);
                printf("%lld\n",n);
                cerr<<n<<endl;
            }
        }

    }
}

int main()
{
    gen();

    return 0;
}
