#include<bits/stdc++.h>
using namespace std;

const int nmax=1e7+42,C=90000;

int least[nmax],mu[nmax],pref_mu[nmax];

vector<int> non_zero;

void init()
{
    for(int i=1;i<nmax;i++)
        mu[i]=1;

    for(int i=2;i<nmax;i++)
        least[i]=i;

    for(int p=2;p*p<nmax;p++)
        if(least[p]==p)
        {
            for(int j=p*p;j<nmax;j+=p)
                if(least[j]==j)
                    least[j]=p;

            for(int j=p*p;j<nmax;j+=p*p)
                least[j]=0;
        }

    for(int i=2;i<nmax;i++)
        if(least[i])mu[i]=-mu[i/least[i]];
        else mu[i]=0;

    for(int i=1;i<nmax;i++)
        pref_mu[i]=mu[i]+pref_mu[i-1];

    for(int i=1;i<=C;i++)
        if(mu[i])non_zero.push_back(i);
}

int q;

long long query()
{
    long long n;
    scanf("%lld",&n);

    long long outp=0,l=1;

    for(auto l:non_zero)
        outp+=n/l/l*mu[l];

    l=C+1;

    while(l*l<=n)
    {
        long long v=n/l/l;

        long long r=sqrt(n/v);

        outp+=n/l/l*(pref_mu[r]-pref_mu[l-1]);

        l=r+1;
    }

    return outp;
}

int main()
{
    init();

    scanf("%i",&q);

    while(q)
    {
        q--;
        printf("%lld\n",query());
    }

    return 0;
}

