#include<bits/stdc++.h>
using namespace std;

const int nmax=1e7+42;

bitset<nmax> is_composite;
int mu[nmax],pref_mu[nmax];

void init()
{
    for(int p=2;p*p<nmax;p++)
        if(is_composite[p]==0)
        {
            for(int j=p*p;j<nmax;j+=p)
                is_composite[j]=1;
        }

    for(int i=1;i<nmax;i++)
        mu[i]=1;

    for(int p=2;p<nmax;p++)
        if(is_composite[p]==0)
        {
            if(1LL*p*p<nmax)
            {
                for(int j=p*p;j<nmax;j+=p*p)
                    mu[j]=0;
            }

            for(int j=p;j<nmax;j+=p)
                mu[j]=-mu[j];
        }
    for(int i=1;i<nmax;i++)
        pref_mu[i]=mu[i]+pref_mu[i-1];
}

long long query()
{
    long long n;
    scanf("%lld",&n);

    long long outp=0,l=1;

    while(l*l<=n)
    {
        long long v=n/l/l;

        long long r=sqrt(n/v);

        outp+=n/l/l*(pref_mu[r]-pref_mu[l-1]);

        l=r+1;
    }

    return outp;
}

int main()
{
    init();

    int q;
    scanf("%i",&q);

    while(q)
    {
        q--;
        printf("%lld\n",query());
    }

    return 0;
}
