#include<bits/stdc++.h>
using namespace std;

const int nmax=1e7+42;

int least[nmax],mu[nmax],pref_mu[nmax];

void init()
{
    for(int i=1;i<nmax;i++)
        mu[i]=1;

    for(int i=2;i<nmax;i++)
        least[i]=i;

    for(int p=2;p*p<nmax;p++)
        if(least[p]==p)
        {
            for(int j=p*p;j<nmax;j+=p)
                if(least[j]==j)
                    least[j]=p;

            for(int j=p*p;j<nmax;j+=p*p)
                least[j]=0;
        }

    for(int i=2;i<nmax;i++)
        if(least[i])mu[i]=-mu[i/least[i]];
        else mu[i]=0;

    for(int i=1;i<nmax;i++)
        pref_mu[i]=mu[i]+pref_mu[i-1];
}

int q;

long long query()
{
    long long n;
    scanf("%lld",&n);

    long long outp=0;

    for(long long l=1;l*l<=n;l++)
        outp+=n/l/l*mu[l];

    return outp;
}

int main()
{
    init();

    scanf("%i",&q);

    while(q)
    {
        q--;
        printf("%lld\n",query());
    }

    return 0;
}
